Estranho, tu compilou um kernel 2.6.7 e ele procura módulos do 2.6.9?